Package com.mapd.thrift.server

## Class TCountDistinctDescriptor

- java.lang.Object
- - com.mapd.thrift.server.TCountDistinctDescriptor

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TCountDistinctDescriptor>`, `org.apache.thrift.TBase<TCountDistinctDescriptor,​TCountDistinctDescriptor._Fields>`, `org.apache.thrift.TSerializable`

    public class TCountDistinctDescriptor
    extends Object
    implements org.apache.thrift.TBase<TCountDistinctDescriptor,​TCountDistinctDescriptor._Fields>, Serializable, Cloneable, Comparable<TCountDistinctDescriptor>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TCountDistinctDescriptor._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`boolean` `approximate`
`long` `bitmap_sz_bits`
`TDeviceType` `device_type`
`TCountDistinctImplType` `impl_type`
`static Map<TCountDistinctDescriptor._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`long` `min_val`
`long` `sub_bitmap_count`

### Constructor Summary

Constructors
`TCountDistinctDescriptor()`
`TCountDistinctDescriptor​(TCountDistinctDescriptor other)` Performs a deep copy on other.
`TCountDistinctDescriptor​(TCountDistinctImplType impl_type, long min_val, long bitmap_sz_bits, boolean approximate, TDeviceType device_type, long sub_bitmap_count)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TCountDistinctDescriptor other)`
`TCountDistinctDescriptor` `deepCopy()`
`boolean` `equals​(TCountDistinctDescriptor that)`
`boolean` `equals​(Object that)`
`TCountDistinctDescriptor._Fields` `fieldForId​(int fieldId)`
`long` `getBitmap_sz_bits()`
`TDeviceType` `getDevice_type()`
`Object` `getFieldValue​(TCountDistinctDescriptor._Fields field)`
`TCountDistinctImplType` `getImpl_type()`
`long` `getMin_val()`
`long` `getSub_bitmap_count()`
`int` `hashCode()`
`boolean` `isApproximate()`
`boolean` `isSet​(TCountDistinctDescriptor._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetApproximate()` Returns true if field approximate is set (has been assigned a value) and false otherwise
`boolean` `isSetBitmap_sz_bits()` Returns true if field bitmap_sz_bits is set (has been assigned a value) and false otherwise
`boolean` `isSetDevice_type()` Returns true if field device_type is set (has been assigned a value) and false otherwise
`boolean` `isSetImpl_type()` Returns true if field impl_type is set (has been assigned a value) and false otherwise
`boolean` `isSetMin_val()` Returns true if field min_val is set (has been assigned a value) and false otherwise
`boolean` `isSetSub_bitmap_count()` Returns true if field sub_bitmap_count is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TCountDistinctDescriptor` `setApproximate​(boolean approximate)`
`void` `setApproximateIsSet​(boolean value)`
`TCountDistinctDescriptor` `setBitmap_sz_bits​(long bitmap_sz_bits)`
`void` `setBitmap_sz_bitsIsSet​(boolean value)`
`TCountDistinctDescriptor` `setDevice_type​(TDeviceType device_type)`
`void` `setDevice_typeIsSet​(boolean value)`
`void` `setFieldValue​(TCountDistinctDescriptor._Fields field, Object value)`
`TCountDistinctDescriptor` `setImpl_type​(TCountDistinctImplType impl_type)`
`void` `setImpl_typeIsSet​(boolean value)`
`TCountDistinctDescriptor` `setMin_val​(long min_val)`
`void` `setMin_valIsSet​(boolean value)`
`TCountDistinctDescriptor` `setSub_bitmap_count​(long sub_bitmap_count)`
`void` `setSub_bitmap_countIsSet​(boolean value)`
`String` `toString()`
`void` `unsetApproximate()`
`void` `unsetBitmap_sz_bits()`
`void` `unsetDevice_type()`
`void` `unsetImpl_type()`
`void` `unsetMin_val()`
`void` `unsetSub_bitmap_count()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### impl_type

    public TCountDistinctImplType impl_type

See Also:
  `TCountDistinctImplType`

#### min_val

    public long min_val

#### bitmap_sz_bits

    public long bitmap_sz_bits

#### approximate

    public boolean approximate

#### device_type

    public TDeviceType device_type

See Also:
  `TDeviceType`

#### sub_bitmap_count

    public long sub_bitmap_count

#### metaDataMap

    public static final Map<TCountDistinctDescriptor._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TCountDistinctDescriptor

    public TCountDistinctDescriptor()

#### TCountDistinctDescriptor

    public TCountDistinctDescriptor​(TCountDistinctImplType impl_type,
                                    long min_val,
                                    long bitmap_sz_bits,
                                    boolean approximate,
                                    TDeviceType device_type,
                                    long sub_bitmap_count)

#### TCountDistinctDescriptor

    public TCountDistinctDescriptor​(TCountDistinctDescriptor other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TCountDistinctDescriptor deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TCountDistinctDescriptor,​TCountDistinctDescriptor._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TCountDistinctDescriptor,​TCountDistinctDescriptor._Fields>`

#### getImpl_type

    public TCountDistinctImplType getImpl_type()

See Also:
  `TCountDistinctImplType`

#### setImpl_type

    public TCountDistinctDescriptor setImpl_type​(TCountDistinctImplType impl_type)

See Also:
  `TCountDistinctImplType`

#### unsetImpl_type

    public void unsetImpl_type()

#### isSetImpl_type

    public boolean isSetImpl_type()

Returns true if field impl_type is set (has been assigned a value) and false otherwise

#### setImpl_typeIsSet

    public void setImpl_typeIsSet​(boolean value)

#### getMin_val

    public long getMin_val()

#### setMin_val

    public TCountDistinctDescriptor setMin_val​(long min_val)

#### unsetMin_val

    public void unsetMin_val()

#### isSetMin_val

    public boolean isSetMin_val()

Returns true if field min_val is set (has been assigned a value) and false otherwise

#### setMin_valIsSet

    public void setMin_valIsSet​(boolean value)

#### getBitmap_sz_bits

    public long getBitmap_sz_bits()

#### setBitmap_sz_bits

    public TCountDistinctDescriptor setBitmap_sz_bits​(long bitmap_sz_bits)

#### unsetBitmap_sz_bits

    public void unsetBitmap_sz_bits()

#### isSetBitmap_sz_bits

    public boolean isSetBitmap_sz_bits()

Returns true if field bitmap_sz_bits is set (has been assigned a value) and false otherwise

#### setBitmap_sz_bitsIsSet

    public void setBitmap_sz_bitsIsSet​(boolean value)

#### isApproximate

    public boolean isApproximate()

#### setApproximate

    public TCountDistinctDescriptor setApproximate​(boolean approximate)

#### unsetApproximate

    public void unsetApproximate()

#### isSetApproximate

    public boolean isSetApproximate()

Returns true if field approximate is set (has been assigned a value) and false otherwise

#### setApproximateIsSet

    public void setApproximateIsSet​(boolean value)

#### getDevice_type

    public TDeviceType getDevice_type()

See Also:
  `TDeviceType`

#### setDevice_type

    public TCountDistinctDescriptor setDevice_type​(TDeviceType device_type)

See Also:
  `TDeviceType`

#### unsetDevice_type

    public void unsetDevice_type()

#### isSetDevice_type

    public boolean isSetDevice_type()

Returns true if field device_type is set (has been assigned a value) and false otherwise

#### setDevice_typeIsSet

    public void setDevice_typeIsSet​(boolean value)

#### getSub_bitmap_count

    public long getSub_bitmap_count()

#### setSub_bitmap_count

    public TCountDistinctDescriptor setSub_bitmap_count​(long sub_bitmap_count)

#### unsetSub_bitmap_count

    public void unsetSub_bitmap_count()

#### isSetSub_bitmap_count

    public boolean isSetSub_bitmap_count()

Returns true if field sub_bitmap_count is set (has been assigned a value) and false otherwise

#### setSub_bitmap_countIsSet

    public void setSub_bitmap_countIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TCountDistinctDescriptor._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TCountDistinctDescriptor,​TCountDistinctDescriptor._Fields>`

#### getFieldValue

    public Object getFieldValue​(TCountDistinctDescriptor._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TCountDistinctDescriptor,​TCountDistinctDescriptor._Fields>`

#### isSet

    public boolean isSet​(TCountDistinctDescriptor._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TCountDistinctDescriptor,​TCountDistinctDescriptor._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TCountDistinctDescriptor that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TCountDistinctDescriptor other)

Specified by:
  `compareTo` in interface `Comparable<TCountDistinctDescriptor>`

#### fieldForId

    public TCountDistinctDescriptor._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TCountDistinctDescriptor,​TCountDistinctDescriptor._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`